curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/drop_columns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"columns": [
"<string>"
],
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
]
}
'{
"version": 1,
"transaction_id": "<string>"
}Remove specified columns from table id.
A valid request URL is required to generate request examples{
"version": 1,
"transaction_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.lancedb.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Names of columns to drop
Identity information of a request.
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Was this page helpful?